org.apache.geode.cache.configuration

## Class ExpirationAttributesType

- java.lang.Object
- - org.apache.geode.cache.configuration.ExpirationAttributesType

-     @Experimental
      public class ExpirationAttributesType
      extends java.lang.Object

  An "expiration-attributes" element describes expiration.

  Java class for expiration-attributes-type complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="expiration-attributes-type">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="custom-expiry" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                         <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
             <attribute name="action">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="destroy"/>
                   <enumeration value="invalidate"/>
                   <enumeration value="local-destroy"/>
                   <enumeration value="local-invalidate"/>
                 </restriction>
               </simpleType>
             </attribute>
             <attribute name="timeout" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ExpirationAttributesType.CustomExpiry` Java class for anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `action`
    `protected ExpirationAttributesType.CustomExpiry` | `customExpiry`
    `protected java.lang.String` | `timeout`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpirationAttributesType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAction()` Gets the value of the action property.
    `ExpirationAttributesType.CustomExpiry` | `getCustomExpiry()` Gets the value of the customExpiry property.
    `java.lang.String` | `getTimeout()` Gets the value of the timeout property.
    `void` | `setAction(java.lang.String value)` Sets the value of the action property.
    `void` | `setCustomExpiry(ExpirationAttributesType.CustomExpiry value)` Sets the value of the customExpiry property.
    `void` | `setTimeout(java.lang.String value)` Sets the value of the timeout property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### customExpiry

          protected ExpirationAttributesType.CustomExpiry customExpiry

    - #### action

          protected java.lang.String action

    - #### timeout

          protected java.lang.String timeout

  - ### Constructor Detail

    - #### ExpirationAttributesType

          public ExpirationAttributesType()

  - ### Method Detail

    - #### getCustomExpiry

          public ExpirationAttributesType.CustomExpiry getCustomExpiry()

      Gets the value of the customExpiry property.
      Returns:
        possible object is `ExpirationAttributesType.CustomExpiry`

    - #### setCustomExpiry

          public void setCustomExpiry(ExpirationAttributesType.CustomExpiry value)

      Sets the value of the customExpiry property.
      Parameters:
        `value` - allowed object is `ExpirationAttributesType.CustomExpiry`

    - #### getAction

          public java.lang.String getAction()

      Gets the value of the action property.
      Returns:
        possible object is `String`

    - #### setAction

          public void setAction(java.lang.String value)

      Sets the value of the action property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTimeout

          public java.lang.String getTimeout()

      Gets the value of the timeout property.
      Returns:
        possible object is `String`

    - #### setTimeout

          public void setTimeout(java.lang.String value)

      Sets the value of the timeout property.
      Parameters:
        `value` - allowed object is `String`